const translations = {
  "swiperinoAdded1": {
    "en": "Nice. Swiperino's been added. ",
    "ja": "よし。 Swiperinoが追加されました。",
    "ko": "좋아요. Swiperino가 추가되었습니다.",
    "de": "Super! Swiperino wurde hinzugefügt.",
    "ru": "Отлично! Swiperino добавлен.",
    "es": "Excelente. Se agregó Swiperino.",
    "pt": "Muito bem. O Swiperino foi adicionado.",
    "pl": "Świetnie. Dodano Swiperino.",
    "fr": "Génial. Swiperino a été ajouté.",
    "it": "Grande. Swiperino è stato aggiunto."
  },
  "swiperinoAdded2": {
    "en": "To get started, head over to {{link}} to get your FREE API Key.",
    "ja": "まずは、{{link}} に行って無料のAPIキーをゲットしましょう。",
    "ko": "시작하려면 {{link}}로 이동하여 무료 API 키를 받으세요.",
    "de": "Gehen Sie zunächst zu {{link}}, um Ihren KOSTENLOSEN API-Schlüssel zu erhalten",
    "ru": "Чтобы начать, перейдите на страницу {{link}} и получите БЕСПЛАТНЫЙ ключ API.",
    "es": "Para comenzar, ve a {{link}} para obtener tu clave API GRATUITA.",
    "pt": "Para começar, acesse {{link}} e obtenha sua chave de API GRÁTIS.",
    "pl": "Aby rozpocząć, przejdź do {{link}}, aby otrzymać BEZPŁATNY klucz API.",
    "fr": "Pour commencer, accédez à {{link}} pour obtenir votre clé API GRATUITE.",
    "it": "Per iniziare, vai su {{link}} per ottenere la tua chiave API GRATUITA."
  },
  "myAccountText": {
    "en": "My Account",
    "ja": "マイアカウント",
    "ko": "내 계정",
    "de": "Mein Konto",
    "ru": "Мой аккаунт",
    "es": "Mi cuenta",
    "pt": "Minha conta",
    "pl": "Moje konto",
    "fr": "Mon compte",
    "it": "Il mio account"
  },
  "upgrade": {
    "en": "Upgrade",
    "ja": "アップグレード",
    "ko": "업그레이드",
    "de": "Upgrade",
    "ru": "Обновить",
    "es": "Mejorar",
    "pt": "Assinar",
    "pl": "Aktualizacja",
    "fr": "Upgrade",
    "it": "Aggiorna"
  },
  "swiperinoAdded3": {
    "en": "After creating an account you can find your API Key on your {{link}} page. ",
    "ja": "アカウントを登録した後、{{link}} ページでAPIキーをゲットできます。",
    "ko": "계정을 만든 후 {{link}} 페이지에서 API 키를 찾을 수 있습니다.",
    "de": "Nachdem Sie ein Konto erstellt haben, finden Sie Ihren API-Schlüssel auf der {{link}} Seite.",
    "ru": "После создания учетной записи вы можете найти свой ключ API на странице {{link}}.",
    "es": "Después de crear una cuenta, puedes encontrar tu clave API en tu página {{link}}.",
    "pt": "Depois de criar uma conta, você pode encontrar sua chave de API na sua página {{link}}.",
    "pl": "Po utworzeniu konta swój klucz API znajdziesz na stronie {{link}}.",
    "fr": "Après avoir créé un compte, vous pouvez trouver votre clé API sur votre page {{link}}.",
    "it": "Dopo aver creato un account puoi trovare la tua chiave API sulla tua pagina {{link}}."
  },
  "apiKey": {
    "en": "API Key",
    "ja": "APIキー",
    "ko": "API 키",
    "de": "API-Schlüssel",
    "ru": "Ключ API",
    "es": "Clave API",
    "pt": "Chave de API",
    "pl": "Klucz API",
    "fr": "clé API",
    "it": "Chiave API"
  },
  "verifyApiKey": {
    "en": "Verify API Key",
    "ja": "APIキー確認する",
    "ko": "API 키 확인",
    "de": "API-Schlüssel verifizieren",
    "ru": "Проверить ключ API",
    "es": "Verificar clave API",
    "pt": "Verifique a chave de API",
    "pl": "Zweryfikuj klucz API",
    "fr": "Vérifier la clé API",
    "it": "Verifica chiave API"
  },
  "start": {
    "en": "Start",
    "ja": "開始",
    "ko": "시작",
    "de": "Start",
    "ru": "Начать",
    "es": "Comenzar",
    "pt": "Iniciar",
    "pl": "Rozpocznij",
    "fr": "Commencer",
    "it": "Inizia"
  },
  "stop": {
    "en": "Stop",
    "ja": "停止",
    "ko": "중지",
    "de": "Stopp",
    "ru": "Стоп",
    "es": "Detener",
    "pt": "Parar",
    "pl": "Zatrzymaj",
    "fr": "Arrêtez",
    "it": "Stop"
  },
  "hide": {
    "en": "Hide",
    "ja": "隠す",
    "ko": "숨기기",
    "de": "Ausblenden",
    "ru": "Скрыть",
    "es": "Esconder",
    "pt": "Ocultar",
    "pl": "Ukryj",
    "fr": "Masquer",
    "it": "Nascondi"
  },
  "show": {
    "en": "Show",
    "ja": "表示",
    "ko": "더 보기",
    "de": "Einblenden",
    "ru": "Показать",
    "es": "Mostrar",
    "pt": "Mostrar",
    "pl": "Pokaż",
    "fr": "Montrer",
    "it": "Mostra"
  },
  "routines": {
    "en": "Routines",
    "ja": "ルーチン",
    "ko": "루틴",
    "de": "Routinen",
    "ru": "Действия",
    "es": "Rutinas",
    "pt": "Rotinas",
    "pl": "Rutyny",
    "fr": "Routines",
    "it": "Routine"
  },
  "status": {
    "en": "Status",
    "ja": "ステータス",
    "ko": "상태",
    "de": "Status",
    "ru": "Статус",
    "es": "Estado",
    "pt": "Status",
    "pl": "Status",
    "fr": "Statut",
    "it": "Stato"
  },
  "idle": {
    "en": "Idle",
    "ja": "アイドル",
    "ko": "유휴 상태",
    "de": "Leerlauf",
    "ru": "Неактивный",
    "es": "Inactivo",
    "pt": "Ocioso",
    "pl": "Bezczynny",
    "fr": "Suspendre",
    "it": "Inattivo"
  },
  "swiping": {
    "en": "Swiping",
    "ja": "スワイプ中",
    "ko": "스와이프",
    "de": "Am swipen",
    "ru": "Свайп",
    "es": "Deslizando",
    "pt": "Deslizando",
    "pl": "Lajkowanie",
    "fr": "Swiper",
    "it": "Swiping"
  },
  "outOfSwiperinoLikesMessage": {
    "en": "Out of Daily Swiperino Likes. Check back tomorrow for more or upgrade to get unlimited.",
    "ja": "今日のSwiperinoのスワイプ分は使い切りました。明日リフレッシュされます。またはアップグレードすればスワイプ無限になります。",
    "ko": "Swiperino의 일일 좋아요 기능을 다 써버렸네요. 내일 다시 확인하거나 업그레이드하여 무제한으로 이용하세요.",
    "de": "Tägliche Swiperino-Likes aufgebraucht. Kommen Sie morgen zurück, oder upgraden Sie Ihr Konto um das Limit zu entfernen.",
    "ru": "Ежедневные лайки Swiperino. Возвращайтесь завтра, чтобы получить больше, или переходите на премиум, чтобы получить неограниченное количество свайпов.",
    "es": "Los me gusta diarios de Swiperino se han agotado. Vuelve a consultar mañana para obtener más información o compra Premium para obtener una cantidad ilimitada.",
    "pt": "Suas curtidas diárias do Swiperino acabaram. Volte amanhã para obter outras ou assine e garanta acesso ilimitado.",
    "pl": "Wyczerpano dzienny limit polubieni na Swiperino. Wróć jutro po więcej lub zaktualizuj swój plan, aby uzyskać nieograniczoną liczbę polubień.",
    "fr": "Les Likes Swiperino quotidiens sont épuisés. Revenez demain pour en savoir plus ou upgradez pour obtenir un accès illimité.",
    "it": "Mi piace di Swiperino giornalieri esauriti. Torna domani per altri mi piace o esegui l'upgrade per ottenere un numero illimitato."
  },
  "cannotFindButtonsText": {
    "en": "Swiperino couldn't find the Like/Dislike Buttons. Auto Redirecting to a page with the buttons visible in 60 seconds. (click \"{{stop}}\" in the bottom right to prevent this) If this message continues popping up, please send us an email via {{email}}. It's likely that {{appTypeName}} updated their app, in which case we'll fix as soon as possible. ",
    "ja": "Swiperinoは「いいね」や「いや」のボタンを見つみつかれない。60秒で自動的にちゃんとしたページにリダイレクトします。（リダイレクトを止めたい場合は、右下の\"{{stop}}\"ボタンをクリックしてください）このメッセージが引き続き表示される場合は、{{email}}　にメールを送信してください。もしかしたら　{{appTypeName}} がアプリをアップデートしたので、それでSwiperinoちゃんと動いていない。その場合Swiperinoアップデートします。",
    "ko": "Swiperino에서 좋아요/싫어요 버튼을 찾을 수 없습니다. 60초 내에 버튼이 표시되는 페이지로 자동 리디렉션합니다. (이를 방지하려면 오른쪽 하단의 \"{{stop}}\"을 클릭해주세요)이 메시지가 계속 나타나면 {{email}}을/를 통해 이메일을 보내 주시기 바랍니다.{{appTypeName}}에서 앱을 업데이트했을 가능성이 높습니다. 이 경우라면 가능한 한 빨리 수정하겠습니다.",
    "de": "Swiperino konnte die Like / Dislike Schaltflächen nicht finden.Innert 60 Sekunden erfolgt eine automatische Umleitung zu einer Seite mit sichtbaren Schaltflächen. (Klicken Sie unten rechts auf \"{{stop}}\", um dies zu verhindern.)Wenn diese Nachricht immer wieder angezeigt wird, senden Sie uns bitte eine E-Mail via {{email}}.Es ist wahrscheinlich, dass {{appTypeName}} ihre App aktualisiert haben. In diesem Fall werden wir das Problem so schnell wie möglich beheben.",
    "ru": "Swiperino не нашёл кнопки «Нравится / Не нравится».Автоматическое перенаправление на страницу с кнопками через 60 секунд. (нажмите {{stop}} в правом нижнем углу, чтобы остановить это)Если это сообщение продолжает появляться, отправьте нам электронное письмо на {{email}}.Скорее всего, {{appTypeName}} обновили свое приложение. В этом случае мы исправим всё как можно быстрее.",
    "es": "Swiperino no pudo encontrar los botones Me gusta/No me gusta.Redirección automática a una página con los botones visibles en 60 segundos. (haga clic en \"{{stop}}\" en la parte inferior derecha para evitar esto)Si este mensaje continúa apareciendo, envíenos un correo electrónico a través de {{email}}.Es probable que {{appTypeName}} haya actualizado su aplicación, en cuyo caso lo arreglaremos lo antes posible.",
    "pt": "O Swiperino não conseguiu encontrar os botões Curtir/Não curtir.Redirecionando automaticamente para uma página com os botões visíveis em 60 segundos. (clique em \"{{stop}}\" no canto inferior direito para interromper o redirecionamento)Se esta mensagem continuar aparecendo, escreva para nós em {{email}}.É provável que {{appTypeName}} tenha atualizado o aplicativo e, nesse caso, corrigiremos isso o mais rápido possível.",
    "pl": "Swiperino nie mógł znaleźć przycisków Lubię / Nie lubię.Automatyczne przekierowanie na stronę z widocznymi przyciskami za 60 sekund. (kliknij \"{{stop}}\" w prawym dolnym rogu, aby temu zapobiec)Jeśli ta wiadomość nadal będzie się pojawiać, wyślij nam e-maila na adres {{email}}.Prawdopodobnie {{appTypeName}} zaktualizował swoją aplikację. W takim przypadku naprawimy problem tak szybko, jak to możliwe.",
    "fr": "Swiperino n'a pas trouvé les boutons J'aime / Je n'aime pas.Redirection automatique vers une page avec les boutons visibles en 60 secondes. (cliquez sur \"{{stop}}\" en bas à droite pour éviter cela)Si ce message continue de s'afficher, veuillez nous envoyer un e-mail via {{email}}.Il est probable que {{appTypeName}} ait mis à jour son application, auquel cas nous corrigerons dès que possible.",
    "it": "Swiperino non è riuscito a trovare i pulsanti Mi piace / Non mi piace.Reindirizzamento automatico a una pagina con i pulsanti visibili in 60 secondi. (fai clic su \"{{stop}}\" in basso a destra per impedirlo)Se questo messaggio continua a comparire, inviaci un'email tramite {{email}}.È probabile che {{appTypeName}} abbia aggiornato la sua app, nel qual caso lo aggiusteremo il prima possibile."
  },
  "addApiKey": {
    "en": "Add your swiperino API key to enable Swiperino. Click Menu to find out more.",
    "ja": "Swiperino APIキーを追加すれば、Swiperino使えます。 詳細については、メニューをクリックしてください。",
    "ko": "Swiperino를 활성화하려면 swiperino API 키를 추가하세요. 자세한 내용은 메뉴를 클릭하십시오.",
    "de": "Geben Sie Ihren Swiperino-API-Schlüssel ein, um Swiperino zu aktivieren. Klicken Sie auf das Menü, um mehr zu erfahren.",
    "ru": "Добавьте свой ключ API Swiperino, чтобы включить Swiperino. Нажмите «Меню», для более подробной информации.",
    "es": "Agrega tu clave API de Swiperino para habilitar Swiperino. Haz clic en Menú para obtener más información.",
    "pt": "Adicione sua chave de API do Swiperino para fazê-lo funcionar. Clique no Menu para saber mais.",
    "pl": "Dodaj swój klucz API, żeby włączyć Swiperino. Kliknij Menu, aby dowiedzieć się więcej.",
    "fr": "Ajoutez votre clé API Swiperino pour activer Swiperino. Cliquez sur Menu pour en savoir plus.",
    "it": "Aggiungi la tua chiave API swiperino per abilitare Swiperino. Fare clic su Menu per saperne di più."
  },
  "likeRatioTooHighWarn": {
    "en": "Swiperino: We recommend not setting the swipe ratio to 100%. 96~99% is the sweet spot.",
    "ja": "Swiperino：スワイプ率を100％に設定しないことをお勧めします。96〜99％がちょうどいいです。",
    "ko": "Swiperino: 스와이프 비율은 100%로 설정하지 않는 것이 좋습니다. 96~99%가 가장 좋습니다.",
    "de": "Swiperino: Wir empfehlen, das Rechts-Swipe-Verhältnis nicht auf 100% einzustellen. 96 ~ 99% ist ideal.",
    "ru": "Swiperino: мы не рекомендуем устанавливать коэффициент свайпа на 100%. 96 ~ 99% - золотая середина.",
    "es": "Swiperino: recomendamos no establecer la proporción de deslizamiento al 100%. 96 ~ 99% es el punto óptimo.",
    "pt": "Swiperino: Recomendamos não definir a proporção de deslizadas para 100%. Um valor entre 96 e 99% é o ideal.",
    "pl": "Swiperino: Nie zalecamy ustawiania wskaźnika przesunięć na 100%. 96 ~ 99% to najlepszy wybór.",
    "fr": "Swiperino: Nous vous recommandons de ne pas régler le taux de balayage sur 100%. 96 ~ 99% est le taux idéal.",
    "it": "Swiperino: si consiglia di non impostare la percentuale di swipe al 100%. 96 ~ 99% è il punto migliore."
  },
  "accountType": {
    "en": "Account Type",
    "ja": "アカウントタイプ",
    "ko": "계정 유형",
    "de": "Kontotyp",
    "ru": "Вид аккаунта",
    "es": "Tipo de cuenta",
    "pt": "Tipo de conta",
    "pl": "Rodzaj konta",
    "fr": "Type de compte",
    "it": "Tipo di account"
  },
  "editAutoMessage": {
    "en": "Edit Auto Message",
    "ja": "自動メッセージ編集",
    "ko": "자동 메시지 편집",
    "de": "Auto-Nachricht bearbeiten",
    "ru": "Редактировать автоматическое сообщение",
    "es": "Editar mensaje automático",
    "pt": "Editar mensagem automática",
    "pl": "Edytuj automatyczną wiadomość",
    "fr": "Modifier le message automatique",
    "it": "Modifica messaggio automatico"
  },
  "setCustomLocation": {
    "en": "Set Custom Location",
    "ja": "カスタムロケーション設定",
    "ko": "사용자의 위치 설정",
    "de": "Standort festlegen",
    "ru": "Установить ваше местоположение",
    "es": "Establecer ubicación personalizada",
    "pt": "Definir localização personalizada",
    "pl": "Ustaw lokalizację niestandardową",
    "fr": "Définir un emplacement personnalisé",
    "it": "Imposta posizione personalizzata"
  },
  "customGeolocation": {
    "en": "Custom Geolocation",
    "ja": "カスタムジオロケーション",
    "ko": "사용자의 지리적 위치",
    "de": "Benutzerdefinierter Standort",
    "ru": "Геолокация пользователя",
    "es": "Geolocalización personalizada",
    "pt": "Geolocalização personalizada",
    "pl": "Niestandardowa geolokalizacja",
    "fr": "Géolocalisation personnalisée",
    "it": "Geolocalizzazione personalizzata"
  },
  "customGeolocationHeader": {
    "en": "This is where {{appName}} sees that you currently are. ",
    "ja": "これは、{{appName}}が今いる場所だと思っています。",
    "ko": "이 곳이 {{appName}}이/가 현재 귀하가 있따고 생각하는 장소입니다.",
    "de": "Dies bekommt {{appName}} als Ihren Standort angezeigt.",
    "ru": "Это место, которое {{appName}} видит, как ваше местоположение.",
    "es": "Aquí es donde {{appName}} ve que estás actualmente.",
    "pt": "Este é o local onde o {{appName}} entende que você está atualmente.",
    "pl": "{{appName}} myśli, że aktualnie przebywasz w tym miejscu.",
    "fr": "C'est là que {{appName}} voit où vous vous trouvez actuellement.",
    "it": "Qui è dove {{appName}} vede che ti trovi attualmente."
  },
  "clearCustomCords": {
    "en": "Clear Custom Coordinates",
    "ja": "カスタム座標をクリア",
    "ko": "사용자 지정 좌표 삭제",
    "de": "Benutzerdefinierte Koordinaten löschen",
    "ru": "Очистить пользовательские координаты",
    "es": "Borrar coordenadas personalizadas",
    "pt": "Limpar coordenadas personalizadas",
    "pl": "Wyczyść niestandardowe współrzędne",
    "fr": "Effacer les coordonnées personnalisées",
    "it": "Cancella coordinate personalizzate"
  },
  "changeCords": {
    "en": "Drastically changing your geolocation too often will result in fewer matches and will likely get {{appName}}'s attention. Therefore we recommend doing so only 1 time per day.",
    "ja": "ジオロケーションを大幅に変更する頻度が高すぎると、マッチングが少なくなり、{{appName}}が気になる可能性高いです。なので、ジオロケーションを一日に一回しか変えない方がおすすめです。",
    "ko": "지리적 위치를 너무 자주 변경하면 일치 항목이 줄어들고 {{appName}}의 관심을 끌 수 있습니다.따라서 하루에 한 번만 수행하는 것이 좋습니다.",
    "de": "Wenn Sie Ihre Geolokalisierung zu oft drastisch ändern, führt dies zu weniger Matches und wird wahrscheinlich die Aufmerksamkeit von {{appName}} auf Sie ziehen.Daher empfehlen wir, dies nur einmal pro Tag zu tun.",
    "ru": "Слишком частое радикальное изменение геолокации приведет к меньшему количеству совпадений и, возможно, привлечет внимание {{appName}}.Поэтому мы рекомендуем менять местоположение не чаще одного раза в день.",
    "es": "Cambiar drásticamente tu geolocalización con demasiada frecuencia resultará en menos coincidencias y probablemente llamará la atención de {{appName}}.Por lo tanto, recomendamos hacerlo solo 1 vez al día.",
    "pt": "Alterar drasticamente sua geolocalização com muita frequência resultará em menos matches e provavelmente chamará a atenção do {{appName}}.Portanto, recomendamos fazer isso apenas uma vez por dia.",
    "pl": "Zbyt częste drastyczne zmiany Twojej geolokalizacji spowodują mniej dopasowań i prawdopodobnie przyciągną uwagę {{appName}}.Dlatego też zalecamy maksymalnie 1 zmianę dziennie.",
    "fr": "Changer radicalement votre géolocalisation trop souvent entraînera moins de matchs et attirera probablement l'attention de {{appName}}.Par conséquent, nous vous recommandons de ne le faire qu'une fois par jour.",
    "it": "Cambiare drasticamente la tua geolocalizzazione troppo spesso si tradurrà in meno corrispondenze e probabilmente attirerà l'attenzione di {{appName}}.Pertanto consigliamo di farlo solo 1 volta al giorno."
  },
  "changeLocation": {
    "en": "Change Location",
    "ja": "ロケーション変更",
    "ko": "위치 바꾸기",
    "de": "Standort wechseln",
    "ru": "Изменить местоположение",
    "es": "Cambiar locación",
    "pt": "Mudar localização",
    "pl": "Zmień lokalizację",
    "fr": "Changer d'emplacement",
    "it": "Cambia posizione"
  },
  "insertCords": {
    "en": "Insert your new locations coordinates or choose a city. See our {{link}} page for help.",
    "ja": "新しい場所の座標を挿入するか、都市を選択してください。 ヘルプについては、{{link}}ページを参照してください。",
    "ko": "새 위치 좌표를 삽입하거나 도시를 선택하십시오. 도움이 필요하면 {{link}} 페이지를 참조하세요.",
    "de": "Geben Sie Ihre neuen Standortkoordinaten ein oder wählen Sie eine Stadt aus. Hilfe finden Sie auf unserer {{link}} Seite.",
    "ru": "Введите координаты вашего нового местоположения или выберите город. Посетите нашу страницу {{link}} если понадобится помощь.",
    "es": "Inserta las coordenadas de tus nuevas ubicaciones o elige una ciudad. Consulta nuestra página {{link}} para obtener ayuda.",
    "pt": "Insira suas novas coordenadas ou escolha uma cidade. Consulte nossa página {{link}} para obter ajuda.",
    "pl": "Wprowadź współrzędne nowych lokalizacji lub wybierz miasto. Zobacz naszą stronę {{link}}, aby uzyskać pomoc.",
    "fr": "Insérez vos nouvelles coordonnées de localisation ou choisissez une ville. Consultez notre {{link}} page pour obtenir de l'aide.",
    "it": "Inserisci le tue nuove coordinate di posizione o scegli una città. Consulta la nostra pagina {{link}} per assistenza."
  },
  "selectACity": {
    "en": "Select a city",
    "ja": "都市選択",
    "ko": "도시를 선택하세요",
    "de": "Wählen Sie eine Stadt aus",
    "ru": "Выберите город",
    "es": "Selecciona una ciudad",
    "pt": "Selecione uma cidade",
    "pl": "Wybierz miasto",
    "fr": "Sélectionnez une ville",
    "it": "Seleziona una città"
  },
  "latitude": {
    "en": "Latitude",
    "ja": "緯度",
    "ko": "위도",
    "de": "Breitengrad",
    "ru": "Широта",
    "es": "Latitud",
    "pt": "Latitude",
    "pl": "Szerokość geograficzna",
    "fr": "Latitude",
    "it": "Latitudine"
  },
  "longitude": {
    "en": "Longitude",
    "ja": "経度",
    "ko": "경도",
    "de": "Längengrad",
    "ru": "Долгота",
    "es": "Longitud",
    "pt": "Longitude",
    "pl": "Długość geograficzna",
    "fr": "Longitude",
    "it": "Longitudine"
  },
  "setNewCords": {
    "en": "Set New Coordinates",
    "ja": "新しい座標を設定する",
    "ko": "새로운 좌표 설정",
    "de": "Neue Koordinaten festlegen",
    "ru": "Установить новые координаты",
    "es": "Establecer nuevas coordenadas",
    "pt": "Definir novas coordenadas",
    "pl": "Ustaw nowe współrzędne",
    "fr": "Définir de nouvelles coordonnées",
    "it": "Imposta nuove coordinate"
  },
  "invalidCord": {
    "en": "One of those cordinates was not a valid cordinate. ",
    "ja": "座標が間違っているようです。",
    "ko": "입력한 좌표 중 하나가 유효한 좌표가 아닙니다.",
    "de": "Eine dieser Koordinaten war ungültig.",
    "ru": "Одна из координат недействительна.",
    "es": "Una de esas coordenadas no era válida.",
    "pt": "Uma dessas coordenadas não era válida.",
    "pl": "Jedna z wprowadzonych współrzędnych jest nieprawidłowa.",
    "fr": "L'une de ces coordonnées n'était pas une coordonnée valide.",
    "it": "Una di quelle coordinate non era una coordinata valida."
  },
  "swipeNumber": {
    "en": "Swipe Number",
    "ja": "スワイプ数",
    "ko": "스와이프 횟수",
    "de": "Anzahl Swipes",
    "ru": "Количество свайпов",
    "es": "Número de deslizamiento",
    "pt": "Número de deslizadas",
    "pl": "Liczba przesunięć",
    "fr": "Numéro de Swipe",
    "it": "Numbero di Swipe"
  },
  "swipeNumberThresholdTrigger": {
    "en": "{{swipeNumber}} threshold triggered.",
    "ja": "{{swipeNumber}} しきい値に達しました。",
    "ko": "{{swipeNumber}}의 한계값이 트리거되었습니다.",
    "de": "{{swipeNumber}} Schwellenwert erreicht.",
    "ru": "Максимальное значение {{swipeNumber}}.",
    "es": "Se activó el umbral de {{swipeNumber}}.",
    "pt": "Limite de {{swipeNumber}} atingido.",
    "pl": "Limit przesunięć {{swipeNumber}}.",
    "fr": "Seuil {{swipeNumber}} déclenché.",
    "it": "Soglia {{swipeNumber}} attivata."
  },
  "swipeSpeedText": {
    "en": "Speed in Milliseconds",
    "ja": "ミリ秒単位の速度",
    "ko": "밀리 초 단위 속도",
    "de": "Geschwindigkeit in Millisekunden",
    "ru": "Скорость в миллисекундах",
    "es": "Velocidad en milisegundos",
    "pt": "Velocidade em milissegundos",
    "pl": "Prędkość w milisekundach",
    "fr": "Vitesse en millisecondes",
    "it": "Velocità in millisecondi"
  },
  "rightSwipePercentage": {
    "en": "Right swipe percentage",
    "ja": "右スワイプの割合",
    "ko": "오른쪽 스와이프 비율",
    "de": "Rechts-Swipe Prozentsatz",
    "ru": "Процент свайпа вправо",
    "es": "Porcentaje de deslizamiento hacia la derecha",
    "pt": "Percentual de deslizadas para a direita",
    "pl": "Procent przesunięć w prawo",
    "fr": "Pourcentage de balayage à droite",
    "it": "Percentuale di swipe a destra"
  },
  "swipeSession": {
    "en": "Swipes for this session",
    "ja": "スワイプ数制限",
    "ko": "이 세션에 대한 스와이프",
    "de": "Swipes während dieser Sitzung",
    "ru": "Свайпы для этого сеанса",
    "es": "Swipes para esta sesión",
    "pt": "Deslizadas para esta sessão",
    "pl": "Przesunięcia w tej sesji",
    "fr": "Swipes pour cette session",
    "it": "Swipe per questa sessione"
  },
  "unlimited": {
    "en": "Unlimited",
    "ja": "無限",
    "ko": "제한 없는",
    "de": "Unbegrenzt",
    "ru": "Безлимитный",
    "es": "Ilimitado",
    "pt": "Ilimitadas",
    "pl": "Bez limitu",
    "fr": "Illimité",
    "it": "Illimitati"
  },
  "disableAutoMessage": {
    "en": "Disable Auto Message",
    "ja": "自動メッセージを無効にする",
    "ko": "자동 메시지 비활성화",
    "de": "Auto-Nachricht deaktivieren",
    "ru": "Отключить автоматическое сообщение",
    "es": "Desactivar mensaje automático",
    "pt": "Desativar mensagem automática",
    "pl": "Wyłącz automatyczne wiadomości",
    "fr": "Désactiver le message automatique",
    "it": "Disabilita messaggio automatico"
  },
  "enableAutoMessage": {
    "en": "Enable Auto Message",
    "ja": "自動メッセージを有効にする",
    "ko": "자동 메시지 활성화",
    "de": "Auto-Nachricht aktivieren",
    "ru": "Включить автоматическое сообщение",
    "es": "Habilitar mensaje automático",
    "pt": "Ativar mensagem automática",
    "pl": "Włącz automatyczne wiadomości",
    "fr": "Activer le message automatique",
    "it": "Abilita messaggio automatico"
  },
  "disableRoutines": {
    "en": "Disable Routines",
    "ja": "ルーチンを無効にする",
    "ko": "루틴 비활성화",
    "de": "Routinen deaktivieren",
    "ru": "Отключить установленные действия",
    "es": "Deshabilitar rutinas",
    "pt": "Desativar rotinas",
    "pl": "Wyłącz rytuny",
    "fr": "Désactiver les routines",
    "it": "Disabilita le routine"
  },
  "enableRoutines": {
    "en": "Enable Routines",
    "ja": "ルーチンを有効にする",
    "ko": "루틴 활성화",
    "de": "Routinen aktivieren",
    "ru": "Включить установленные действия",
    "es": "Habilitar rutinas",
    "pt": "Ativar rotinas",
    "pl": "Włącz rutyny",
    "fr": "Activer les routines",
    "it": "Abilita routine"
  },
  "noRoutinesFoundText": {
    "en": "It looks like you don't have any routines set up. Head over to {{link}} to set up some routines. ",
    "ja": "ルーチンが設定されていないようです。 {{link}}にアクセスして、いくつかのルーチンを設定してください。",
    "ko": "설정된 루틴이없는 것 같습니다. 일부 루틴을 설정하려면 {{link}}로 이동하세요.",
    "de": "Es sieht so aus, als hätten Sie keine Routinen eingerichtet. Gehen Sie zu {{link}}, um Routinen einzurichten.",
    "ru": "Похоже, у вас не установлены никакие действия. Перейдите на {{link}}, чтобы настроить их.",
    "es": "Parece que no tienes ninguna rutina configurada. Dirígete a {{link}} para configurar algunas rutinas.",
    "pt": "Parece que você não tem nenhuma rotina configurada. Acesse {{link}} para configurar algumas rotinas.",
    "pl": "Wygląda na to, że nie masz skonfigurowanych żadnych rutyn. Udaj się do {{link}}, aby skonfigurować nowe rutyny.",
    "fr": "Il semble que vous n'avez configuré aucune routine. Rendez-vous sur {{link}} pour configurer certaines routines.",
    "it": "Sembra che tu non abbia nessuna routine impostata. Vai a {{link}} per impostare le routine."
  },
  "terms": {
    "en": "Terms of Use",
    "ja": "利用規約",
    "ko": "이용 약관",
    "de": "Nutzungsbedingungen",
    "ru": "Условия пользования",
    "es": "Términos de Uso",
    "pt": "Termos de Utilização",
    "pl": "Warunki korzystania",
    "fr": "Conditions d'utilisation",
    "it": "Condizioni d'uso"
  },
  "privacyPolicy": {
    "en": "Privacy Policy",
    "ja": "個人情報保護方針",
    "ko": "개인 정보 정책",
    "de": "Datenschutz-Bestimmungen",
    "ru": "Политика конфиденциальности",
    "es": "Política de privacidad",
    "pt": "Política de Privacidade",
    "pl": "Polityka prywatności",
    "fr": "Politique de confidentialité",
    "it": "Informativa sulla privacy"
  },
  "help": {
    "en": "Help",
    "ja": "ヘルプ",
    "ko": "도움",
    "de": "Hilfe",
    "ru": "Помощь",
    "es": "Ayuda",
    "pt": "Ajuda",
    "pl": "Pomoc",
    "fr": "Aidez-moi",
    "it": "Aiuto"
  },
  "profileNotFound": {
    "en": "Profile not found. You may be out of matches in your area. Trying refreshing your window if you think there's something wrong. ",
    "ja": "プロファイルが見つかりません。 お住まいの地域で試合が行われていない可能性があります。 何か問題があると思われる場合は、ウィンドウを更新してみてください。",
    "ko": "프로필을 찾을 수 없습니다. 귀하의 지역과 프로필이 일치하지 않을 수 있습니다. 문제가 있다고 생각되면 창을 새로 고치십시오.",
    "de": "Profil nicht gefunden. Möglicherweise gibt es in Ihrer Region keine potentiellen Matches mehr. Versuchen Sie, Ihr Fenster zu aktualisieren, wenn Sie der Meinung sind, dass etwas nicht stimmt.",
    "ru": "Профиль не найден. Возможно, у вас нет совпадений по вашему местоположению. Обновите страницу, если считаете, что что-то пошло не так.",
    "es": "Perfil no encontrado. Es posible que no haya coincidencias en tu área. Intenta actualizar tu ventana si crees que hay algún problema.",
    "pt": "Perfil não encontrado. Você pode estar sem matches em sua região. Tente atualizar sua janela se achar que há algo errado.",
    "pl": "Nie znaleziono profilu. Prawdopodobnie nie ma więcej nowych profili w Twojej okolicy. Spróbuj odświeżyć okno, jeśli uważasz, że coś jest nie tak.",
    "fr": "Profil non trouvé. Il se peut que vous soyez en panne de matchs dans votre région. Essayer de rafraîchir votre fenêtre si vous pensez qu'il y a quelque chose qui ne va pas.",
    "it": "Profilo non trovato. Potresti non avere match nella tua zona. Prova ad aggiornare la finestra se pensi che ci sia qualcosa che non va."
  },
  "outOfTinderLikes": {
    "en": "Out of Tinder Likes",
    "ja": "Tinderのいいね数が使い切った",
    "ko": "Tinder 좋아요 가능 횟수가 소진",
    "de": "Tinder-Likes aufgebraucht",
    "ru": "Лимит лайков на Tinder израсходован",
    "es": "Sin likes de Tinder",
    "pt": "Suas curtidas para o Tinder acabaram",
    "pl": "Wyczerpano limit polubień na Tinderze",
    "fr": "Likes Tinder épuisés",
    "it": "Mi piace di Tinder esauriti"
  },
  "errMailUs": {
    "en": "An error occured, refresh the page to try again. If this continues send us an email so we can check it out",
    "ja": "エラーが発生した場合は、ページを更新して再試行してください。 これが続く場合は、僕らにメールしてください。",
    "ko": "오류가 발생했습니다. 페이지를 새로 고침하여 다시 시도하세요. 계속되면 이메일을 보내주세요.",
    "de": "Es ist ein Fehler aufgetreten. Bitte aktualisieren Sie die Seite und versuchen Sie es erneut. Bitte senden Sie uns eine E-Mail, wenn das Problem weiterhin besteht",
    "ru": "Произошла ошибка. Обновите страницу, чтобы повторить попытку. Пожалуйста, отправьте нам электронное письмо, если проблема не решится",
    "es": "Ocurrió un error, actualiza la página para volver a intentarlo. Si esto continúa envíanos un correo electrónico para que podamos verificarlo",
    "pt": "Ocorreu um erro, atualize a página para tentar novamente. Se persistir, envie-nos um email para que possamos verificar o que houve",
    "pl": "Wystąpił błąd. Odśwież stronę i spróbuj ponownie. Jeśli problem nie ustąpi, wyślij nam e-maila, abyśmy mogli to sprawdzić.",
    "fr": "Une erreur s'est produite, actualisez la page pour réessayer. Si cela continue, envoyez-nous un e-mail pour que nous puissions vérifier",
    "it": "Si è verificato un errore, aggiorna la pagina per riprovare. Se l'errore persiste, inviaci un'e-mail in modo che possiamo verificarlo"
  }
}

const zTran = (lang, name, args,) => {

	let argsC = (args === undefined || args === null)?{}:args;
	let backupLang = "en";
	let string = "."+name;
	if(translations[name] !== undefined){
		if(translations[name][lang] !== undefined){
			string = translations[name][lang];
		}else if(translations[name][backupLang] !== undefined){
			string = translations[name][backupLang];
		}
	}

	for (const [key, value] of Object.entries(argsC)) {
	  string = string.replace("{{"+key+"}}", value);
	}

	return string;
}

const mergeLanguages = (orig,newTran,lang) => {
	for (const [key, value] of Object.entries(newTran)) {
	  orig[key][lang] = newTran[key][lang];
	}
}





